Page MenuHomePhabricator

Change ckb wiki to use uca-ckb sort order
Closed, ResolvedPublic

Description

Please set $wgCategoryCollation to 'uca-ckb' on ckb.wiki and rebuild category sort keys. Now category collation is not correct. This bug has been resolved on fa wikis.


Version: unspecified
Severity: normal

Details

Reference
bz52015

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 1:45 AM
bzimport set Reference to bz52015.
bzimport added a subscriber: Unknown Object (MLST).
Calak created this task.Jul 25 2013, 7:32 AM

Note, this doesn't depend on fa related bugs (but the more general collation bugs)

Unfortunately ckb is not on the list of supported collations by the icu library (which is the program we're using to sort things). So basically this bug is in the same boat as bug 46235, that is the collation needs to be first accepted to the cldr project: http://cldr.unicode.org/index/cldr-spec/collation-guidelines

Basically, if the language is not listed at http://www.unicode.org/repos/cldr/trunk/common/collation/ then its unlikely that we support the proper sorting for it.

Calak added a comment.Jul 25 2013, 5:22 PM

OK. Now what are we suppose to do?

Calak added a comment.Jul 25 2013, 5:42 PM

Can you set wgCategoryCollation to 'uca-fa'? Beacause Persian collation is very similar to our language.

TTO added a comment.Jul 27 2013, 6:54 AM

(In reply to comment #3)

Can you set wgCategoryCollation to 'uca-fa'? Beacause Persian collation is
very
similar to our language.

This bit is easy enough.

Change 76242 had a related patch set uploaded by TTO:
(bug 52015) set uca-fa category collation for ckbwiki

https://gerrit.wikimedia.org/r/76242

(In reply to comment #5)

Change 76242 had a related patch set uploaded by TTO:
(bug 52015) set uca-fa category collation for ckbwiki
https://gerrit.wikimedia.org/r/76242

Given that this is for a different language, we should be explicit what the difference is, and make sure there is concensus

Calak added a comment.Jul 27 2013, 3:14 PM

I tested Persian language for our language, it is answerable. Community is aware about this change.

Change 76242 merged by jenkins-bot:
(bug 52015) set uca-fa category collation for ckbwiki

https://gerrit.wikimedia.org/r/76242

Reedy added a comment.Jul 30 2013, 5:11 PM

reedy@tin:/a/common$ mwscript maintenance/updateCollation.php --wiki=ckbwiki --previous-collation=uppercase
Fixing collation for 36522 rows.
Selecting next 10000 rows... processing...10000 done.
Selecting next 10000 rows... processing...20000 done.
Selecting next 10000 rows... processing...30000 done.
Selecting next 10000 rows... processing...36522 done.
36522 rows processed

Calak added a comment.Jul 30 2013, 5:57 PM

Thanks, now all in order!